<!doctype html><html lang=en><head><meta charset=utf-8><meta name=viewport content="width=device-width,initial-scale=1"><meta property="og:title" content><meta property="og:description" content="Expand Expand shortcode can help to decrease clutter on screen by hiding part of text. Expand content by clicking on it.
Example Default {{&lt; expand &gt;}} ## Markdown content Lorem markdownum insigne... {{&lt; /expand &gt;}}   Expand ↕  Markdown content Lorem markdownum insigne&hellip;    With Custom Label {{&lt; expand &#34;Custom Label&#34; &#34;...&#34; &gt;}} ## Markdown content Lorem markdownum insigne... {{&lt; /expand &gt;}}   Custom Label ."><meta property="og:type" content="article"><meta property="og:url" content="http://example.org/docs/shortcodes/expand/"><title>Expand | My New Hugo Site</title><link rel=icon href=/favicon.png type=image/x-icon><link rel=stylesheet href=/book.min.e095d2fc282039b2e0a50cefad944330a73f934c3bd2b9272bb3fdfeb8f4f34d.css integrity="sha256-4JXS/CggObLgpQzvrZRDMKc/k0w70rknK7P9/rj0800="><script defer src=/search.min.740f1d27ff3f9d0685c5c49680df00d940f2e70bee6fc38c7fc599f2646e393d.js integrity="sha256-dA8dJ/8/nQaFxcSWgN8A2UDy5wvub8OMf8WZ8mRuOT0="></script></head><body><input type=checkbox class=hidden id=menu-control><main class="flex container"><aside class="book-menu fixed"><nav><h2 class=book-brand><a href=http://example.org/><span>My New Hugo Site</span></a></h2><div class=book-search><input type=text placeholder=Search id=book-search-input maxlength=64><div class="book-search-spinner spinner hidden"></div><ul id=book-search-results></ul></div><ul><li class=book-section-flat><a href=/docs/example/>Example Site</a><ul><li><a href=/docs/example/table-of-contents/>Table of Contents</a><ul><li><a href=/docs/example/table-of-contents/with-toc/>With ToC</a></li><li><a href=/docs/example/table-of-contents/without-toc/>Without ToC</a></li></ul></li><li><a href=/docs/example/2nd/>2nd</a></li></ul></li><li class=book-section-flat><span>Shortcodes</span><ul><li><a href=/docs/shortcodes/buttons/>Buttons</a></li><li><a href=/docs/shortcodes/columns/>Columns</a></li><li><a href=/docs/shortcodes/datasets/>Datasets</a></li><li><a href=/docs/shortcodes/expand/ class=active>Expand</a></li><li><a href=/docs/shortcodes/hints/>Hints</a></li><li><a href=/docs/shortcodes/katex/>Katex</a></li><li><a href=/docs/shortcodes/mermaid/>Mermaid</a></li><li><a href=/docs/shortcodes/runs/>Runs</a></li><li><a href=/docs/shortcodes/tabs/>Tabs</a></li></ul></li></ul></nav><script>(function(){var menu=document.querySelector("aside.book-menu nav");addEventListener("beforeunload",function(event){localStorage.setItem("menu.scrollTop",menu.scrollTop);});menu.scrollTop=localStorage.getItem("menu.scrollTop");})();</script></aside><div class=book-page><header class="flex align-center justify-between book-header"><label for=menu-control><img src=/svg/menu.svg alt=Menu></label>
<strong>Expand</strong></header><article class=markdown><h1 id=expand>Expand</h1><p>Expand shortcode can help to decrease clutter on screen by hiding part of text. Expand content by clicking on it.</p><h2 id=example>Example</h2><h3 id=default>Default</h3><pre><code class=language-tpl>{{&lt; expand &gt;}}
## Markdown content
Lorem markdownum insigne...
{{&lt; /expand &gt;}}
</code></pre><div class=book-expand><label><div class="book-expand-head flex justify-between"><span>Expand</span>
<span>↕</span></div><input type=checkbox class=hidden><div class="book-expand-content markdown-inner"><h2 id=markdown-content>Markdown content</h2><p>Lorem markdownum insigne&hellip;</div></label></div><h3 id=with-custom-label>With Custom Label</h3><pre><code class=language-tpl>{{&lt; expand &quot;Custom Label&quot; &quot;...&quot; &gt;}}
## Markdown content
Lorem markdownum insigne...
{{&lt; /expand &gt;}}
</code></pre><div class=book-expand><label><div class="book-expand-head flex justify-between"><span>Custom Label</span>
<span>...</span></div><input type=checkbox class=hidden><div class="book-expand-content markdown-inner"><h2 id=markdown-content>Markdown content</h2><p>Lorem markdownum insigne. Olympo signis Delphis! Retexi Nereius nova develat
stringit, frustra Saturnius uteroque inter! Oculis non ritibus Telethusa
protulit, sed sed aere valvis inhaesuro Pallas animam: qui <em>quid</em>, ignes.
Miseratus fonte Ditis conubia.</div></label></div></article></div><aside class="book-toc levels-6 fixed"><nav id=TableOfContents><ul><li><a href=#expand>Expand</a><ul><li><a href=#example>Example</a><ul><li><a href=#default>Default</a></li><li><a href=#with-custom-label>With Custom Label</a></li></ul></li></ul></li></ul></nav></aside></main></body></html>